
Foreman - Bug #29433

db:seed Fails with error "rake aborted! NoMethodError: undefined method `first' for nil:NilClass"

when there are custom bookmarks created

03/30/2020 11:05 AM - Tomer Brisker

Status: Closed   

Priority: High   

Assignee: Ondřej Ezr   

Category: DB migrations   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1543316 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7597

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1543316 

Upgrade Step: db_seed...

  rake aborted!

  NoMethodError: undefined method `first' for nil:NilClass

 
Seems to be there is an issue in bookmark related audit records. 

 In some cases, fixing the initial check led to error "Unable to create bookmark: Name has already

 been taken"

 
Observed below logs:

 
/usr/share/foreman/db/seeds.d/15-bookmarks.rb:12:in `block (2 levels) in &lt;top (required)&gt;'

 /usr/share/foreman/db/seeds.d/15-bookmarks.rb:10:in `each'

 /usr/share/foreman/db/seeds.d/15-bookmarks.rb:10:in `block in &lt;top (required)&gt;'

 Seeding /usr/share/foreman/db/seeds.d/15-bookmarks.rb

Associated revisions

Revision fe4676d0 - 04/27/2020 10:17 AM - Ondřej Ezr

Fixes #29433 - seeding with scope

History

#1 - 03/31/2020 12:52 PM - Tomer Brisker

- Subject changed from db:seed Fails with error "rake aborted! NoMethodError: undefined method `first' for nil:NilClass" when there are custom

bookmarks created

 to db:seed Fails with error "rake aborted! NoMethodError: undefined method `first' for nil:NilClass" when there are custom bookmarks created

- Category changed from Search to DB migrations

- Priority changed from Urgent to High

#2 - 04/21/2020 01:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/7597 added

#3 - 04/27/2020 10:17 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 04/27/2020 11:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed
Applied in changeset fe4676d01561c116915273f286ac70d95702cef7.
